package com.capitalware.ufm.ftp.objects;

import java.util.ArrayList;
import java.util.Hashtable;

import com.capitalware.ufm.UFM;
import com.capitalware.ufm.handlers.Tokens;
import com.capitalware.ufm.objects.CWConstants;

public class CdObject extends FtpCmdObject
{
   public String  targetDir = null;

   /**
    * The constructor
    */
   public CdObject()
   {
      super();
   }

   /**
    * Verify the values in the object.
    */
   public void checkObject()
   {
      if (targetDir == null)
         throw new IllegalArgumentException("Error: You must specify a TargetDirectory for the ftp cd command.");
   }
   
   /**
    * Process tokens in ftp Object's variables
    */
   public void performTokenization(Hashtable<String,String>  properties)
   {
      if (targetDir != null)
         targetDir = Tokens.replace(targetDir, properties);
   }

   /**
    * Output the info
    * @param logger
    */
   public void printValues()
   {
      UFM.logger.info("         Target Directory= " + targetDir);
   }

   /**
    * Convert the object to a string.
    * @return s
    */
   public ArrayList<String> toStringArray()
   {
      ArrayList<String> al = new ArrayList<String>();

      al.add("<"+CWConstants.FTP_CD_ELEMENT+" "+CWConstants.REMOTE_DIR_ATTRIBUTE+"=\""+targetDir+"\" />"+LINE_SEPARATOR);

      return al;
   }
}
