package com.capitalware.ufm.ftp.objects;

import java.util.ArrayList;
import java.util.Hashtable;

/**
 * This is an abstract class for ftp command objects.
 *
 * @author Roger Lacroix
 * @version 1.0
 * @license Apache 2 License
 */
public abstract class FtpCmdObject
{
   protected static final String LINE_SEPARATOR = System.getProperty("line.separator");
   
   public      String   cmdName  = null;
  
   /**
    * The constructor
    */
   public FtpCmdObject()
   {
      super();
      
      /* Set action name. */
      int x = this.getClass().getName().lastIndexOf(".");
      int y = this.getClass().getName().lastIndexOf("Object");
      if (x != -1)
         this.cmdName = this.getClass().getName().substring(x+1, y);
      else
         this.cmdName = this.getClass().getName().substring(0, y);
   }

   public abstract void performTokenization(Hashtable<String,String> properties);

   public abstract void checkObject();

   public abstract void printValues();

   public abstract ArrayList<String> toStringArray();

}
