package com.capitalware.ufm.internal.messages;

/**
 * Update Message for internal queue. 
 * 
 * @author Roger Lacroix, Capitalware Inc.
 * @version 1.0
 * @license Apache 2 License
 */
public class UpdateStatus
{
   private String _msg;
   private String _exitCode;
   
   public UpdateStatus(String exitCode, String msg)
   {
      super();
      this._exitCode = exitCode;
      this._msg = msg;
   }

   /**
    * Get the Exit Code value
    * @return status
    */
   public String getStatus()
   {
      return _exitCode;
   }

   /**
    * Get the message data
    * @return msg
    */
   public String getMsg()
   {
      return _msg;
   }

   /**
    * Convert the message to a string.
    * @return msg
    */
   public String toString()
   {
      return _msg;
   }
}
